Package org.opensaml.saml.saml2.core

# Interface IDPEntry

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `IDPEntryImpl`

public interface IDPEntry extends SAMLObject
SAML 2.0 Core IDPEntry.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`LOC_ATTRIB_NAME`
Loc attribute name.
`static final String`
`NAME_ATTRIB_NAME`
Name attribute name.
`static final String`
`PROVIDER_ID_ATTRIB_NAME`
ProviderID attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLoc()`
Gets the Loc value.
`String`
`getName()`
Gets the Name value.
`String`
`getProviderID()`
Gets ProviderID URI.
`void`
`setLoc(String newLoc)`
Sets the Loc value.
`void`
`setName(String newName)`
Sets the Name value.
`void`
`setProviderID(String newProviderID)`
Sets the ProviderID URI.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### PROVIDER_ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String PROVIDER_ID_ATTRIB_NAME
ProviderID attribute name.

See Also:
  - Constant Field Values

### NAME_ATTRIB_NAME

@Nonnull @NotEmpty static final String NAME_ATTRIB_NAME
Name attribute name.

See Also:
  - Constant Field Values

### LOC_ATTRIB_NAME

@Nonnull @NotEmpty static final String LOC_ATTRIB_NAME
Loc attribute name.

See Also:
  - Constant Field Values

## Method Details

### getProviderID

@Nullable String getProviderID()
Gets ProviderID URI.

Returns:
  the ProviderID URI

### setProviderID

void setProviderID(@Nullable String newProviderID)
Sets the ProviderID URI.

Parameters:
  `newProviderID` - the new ProviderID URI

### getName

@Nullable String getName()
Gets the Name value.

Returns:
  the Name value

### setName

void setName(@Nullable String newName)
Sets the Name value.

Parameters:
  `newName` - the Name value

### getLoc

@Nullable String getLoc()
Gets the Loc value.

Returns:
  the Loc value

### setLoc

void setLoc(@Nullable String newLoc)
Sets the Loc value.

Parameters:
  `newLoc` - the new Loc value